Package org.drinkless.tdlib

# Class TdApi.AddedReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AddedReaction

Enclosing class:
  `TdApi`

public static class TdApi.AddedReaction extends TdApi.Object
Represents a reaction applied to a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the reaction was added.
  `boolean`
  `isOutgoing`
  True, if the reaction was added by the current user.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the chat member, applied the reaction.
  `TdApi.ReactionType`
  `type`
  Type of the reaction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddedReaction()`
  Represents a reaction applied to a message.
  `AddedReaction(TdApi.ReactionType type, TdApi.MessageSender senderId, boolean isOutgoing, int date)`
  Represents a reaction applied to a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.ReactionType type
    Type of the reaction.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the chat member, applied the reaction.

  - ### isOutgoing

    public boolean isOutgoing
    True, if the reaction was added by the current user.

  - ### date

    public int date
    Point in time (Unix timestamp) when the reaction was added.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddedReaction

    public AddedReaction()
    Represents a reaction applied to a message.

  - ### AddedReaction

    public AddedReaction(TdApi.ReactionType type, TdApi.MessageSender senderId, boolean isOutgoing, int date)
    Represents a reaction applied to a message.
    Parameters:
      `type` - Type of the reaction.
      `senderId` - Identifier of the chat member, applied the reaction.
      `isOutgoing` - True, if the reaction was added by the current user.
      `date` - Point in time (Unix timestamp) when the reaction was added.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR